

<?php $__env->startSection('title'); ?>
General Ledger
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>               

<?php
$PermissionsAddMainAccount = App\Models\PermissionsUserModel::getPermission('Add General Ledger', Auth::user()->id);
$PermissionsEditMainAccount = App\Models\PermissionsUserModel::getPermission('Edit General Ledger', Auth::user()->id);
$PermissionsDeleteMainAccount = App\Models\PermissionsUserModel::getPermission('Delete General Ledger', Auth::user()->id);
?>
<div class="d-sm-flex align-items-center justify-content-between mb-4">
                        <h1 class="h3 mb-0 text-gray-800">Main Accounts</h1>
                      </div>
                  
                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary"   id="formHeader">Create Main Accounts</h6>
                        </div>
                        <?php if(session('success')): ?>
                            <div class="alert alert-success" id="successMessage"  style="margin: 20px;">
                                <?php echo e(session('success')); ?>

                            </div>
                        <?php endif; ?>
                      
                        <?php if($errors->any()): ?>

                                    <div class="form-group"  id="successMessage"  style="margin: 20px;">
                                        <div class="card bg-warning text-white shadow">
                                            <div class="card-body">
                                        
                                                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <div style="color: red; "><?php echo e($error); ?></div>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        
                                            </div>
                                        </div>
                                    </div>
                                    <?php endif; ?>
                            <?php if(!empty($PermissionsAddMainAccount)): ?>
                            <form class="card-body" action="<?php echo e(route('addMainAccount')); ?>" method="post"  id="accountTypeForm">
                            <?php echo csrf_field(); ?>
                            <input type="hidden" id="accountId" name="id" value="">
                                
                                <div class="form-group row">
                                    <div class="col-sm-4 mb-3 mb-sm-0">
                                    <select class="form-control form-control-user" id="type" name="type"  value="<?php echo e(old('type')); ?>"  required>
                                        <option value="" disabled selected>Select Account Type</option>

                                        <?php $__currentLoopData = $accountsTypes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $accountsType): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        
                                        <option value="<?php echo e($accountsType->ID); ?>"><?php echo e($accountsType->Name); ?></option>
                                          
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    </div>
                                    <div class="col-sm-4 mb-3 mb-sm-0">
                                        <input type="text" class="form-control form-control-user" id="AccName" placeholder="Account Name" name="AccName"  value="<?php echo e(old('AccName')); ?>" required>
                                    </div>
                                    <div class="col-sm-4">
                                        <input type="text" class="form-control form-control-user" id="AccCode" placeholder="Account Code" name="AccCode"  value="<?php echo e($generatedCodeValue); ?>" required   >
                                    </div>
                                </div>


                               <div style="display: flex;">
                               <input type="submit" style="width: 100px;height: 40px; margin-right: 10px; margin-top: 6px" value="Create" class="btn btn-primary btn-user btn-block" id="submitButton"/>

                                <input style="width: 100px;" onclick="refreshAccountType('', '', '', '')"  type="reset" value="Refresh" class="btn btn-secondary btn-user btn-block"  onclick="hideMessages()"/>
                                    
                               </div>
                                
                                <hr>
                             </form>
                             <?php endif; ?>
                   
                        
                        
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                    <thead>
                                        <tr>
                                            <th>Account Type</th>
                                            <th>Account Code</th>
                                            <th>Account Name</th>
                                            <th>Sub Account</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                        
                                        
                                        <th>Account Type</th>
                                            <th>Account Code</th>
                                            <th>Account Name</th>
                                            <th>Sub Account</th>
                                            <th>Action</th>

                                        </tr>
                                    </tfoot>
                                    <tbody>
                                       
                                    <?php $__currentLoopData = $mainAccounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $mainAccount): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                        
                                                <td><?php echo e($mainAccount->Name); ?></td> 
                                                <td><?php echo e($mainAccount->AccCode); ?></td>
                                                <td><?php echo e($mainAccount->AccName); ?></td>
                                                <td><a href="<?php echo e(route('subAccounts', ['id' => $mainAccount->AccCode,'name' => $mainAccount->AccName])); ?>" class="btn btn-primary btn-icon-split btn-sm">
                                                        <span class="icon text-white-50">
                                                        <i class="fas fa-arrow-right"></i>
                                                        </span>
                                                        <span class="text">Sub Account</span>
                                                    </a>
                                                </td>
                                                 

                                                <td style="justify-content: center; align-items: center;">
                                                    <?php if(!empty($PermissionsEditMainAccount)): ?>          
                                                    <a href="" onclick="editAccountType(event,'<?php echo e($mainAccount->ID); ?>', '<?php echo e($mainAccount->acctype); ?>', '<?php echo e($mainAccount->AccCode); ?>', '<?php echo e($mainAccount->AccName); ?>')"  class="btn btn-primary btn-circle" >
                                                    <i class="fas fa-edit"></i>
                                                    </a>
                                                    <?php endif; ?>
                                                    <?php if(!empty($PermissionsDeleteMainAccount)): ?>
                                                    <a href="<?php echo e(route('deleteMainAccount', ['id' => $mainAccount->ID])); ?>" class="btn btn-danger btn-circle"   onclick="return confirmDelete('<?php echo e($mainAccount->AccName); ?>');" >
                                                        <i class="fas fa-trash"></i>
                                                    </a>
                                                    <?php endif; ?>
                                                </td>
                                                
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                           
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        
                    </div>

                    <script>
                             function editAccountType(event, id, type,AccCode, AccName) 
                             {
                                event.preventDefault();
                                document.getElementById('accountId').value = id;
                                document.getElementById('type').value = type;
                                document.getElementById('AccCode').value = AccCode;
                                document.getElementById('AccName').value = AccName;
                                document.getElementById('formHeader').innerText = 'Edit Main Account';
                                document.getElementById('submitButton').value = 'Update';
                                document.getElementById('accountTypeForm').action = '<?php echo e(route("editMainAccount")); ?>';
                            }
                
                            function refreshAccountType(id, type,AccCode, AccName) 
                            {
                                document.getElementById('accountId').value = id;
                                document.getElementById('type').value = type;
                                document.getElementById('AccCode').value = AccCode;
                                document.getElementById('AccName').value = AccName;
                                document.getElementById('formHeader').innerText = 'Create Main Accounts';
                                document.getElementById('submitButton').value = 'Create';
                                document.getElementById('accountTypeForm').action = '<?php echo e(route("addMainAccount")); ?>';
                                hideMessages();
                            
                            }

                            function confirmDelete(Name) {
                                return confirm("Are you sure you want to delete the Account Type: " + Name + "?");
                            }


                
                </script>

                    <?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/melsoftrealestat/public_html/re.pro/resources/views//MainAccounts.blade.php ENDPATH**/ ?>